tree: 650918a08ef79ca5f4f9995a627fe6ff290d28fa [path history] [tgz]
  1. LICENSE
  2. README.md
  3. analysis_options.yaml
  4. benchmarks/
  5. error_recovery.yaml
  6. lib/
  7. messages.status
  8. messages.yaml
  9. pubspec.yaml
  10. test/
  11. testcases/
  12. testing.json
  13. tool/
pkg/front_end/README.md

Front end for Dart

This package provides a low-level API for use by compiler back ends that wish to implement the Dart language. It is intended for eventual use by dev_compiler, dart2js, and the Dart VM. In addition, it will share implementation details with the analyzer package--this will be accomplished by having the analyzer package import (and re-export) parts of this package's private implementation.

End-users should use the [dartanalyzer][analyzercli] command-line tool to analyze their Dart code.

Integrators that want to write tools that analyze Dart code should use the [analyzer] package.

Note: The APIs in this package are in an early state; developers should be careful about depending on this package. In particular, there is no semver contract for release versions of this package. Please depend directly on individual versions.